//
//  HUDLayer.h
//  Raycast
//
//  Created by Ray Wenderlich on 8/18/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "cocos2d.h"

typedef enum {
    kDirectionLeft,
    kDirectionRight,
    kDirectionNone
} ControlDirection;

@protocol ControlsDelegate

-(void)heroMove:(ControlDirection)direction;
-(void)heroJump;

@end

#import "iCadeReaderView.h"

@interface HUDLayer : CCLayer <iCadeEventDelegate> {
    CCLabelBMFont * _statusLabel;
    
    CCSprite *leftButton;
    CCSprite *rightButton;
    CCSprite *jumpButton;
    
    NSArray *buttons;
    
    id <ControlsDelegate> delegate;
}

- (void)showRestartMenu:(BOOL)won;
- (void)setStatusString:(NSString *)string;

@property (assign) id <ControlsDelegate> delegate;

@end
